REM
REM cybermorph collision mask generator
REM

SCALED65536 = 256
SCALED1024 = 4
SCALED256 = 1
SCALED4096 = 16


A = 0
WHILE A < SCALED65536
	B = (A - SCALED1024) AND 255
	B = INT(B / SCALED4096)
	C = 1
	WHILE B
		C = C + C
		B = B - 1
	WEND
	
	B = INT(A / SCALED4096)
	D = 1
	WHILE B
		D = D + D
		B = B - 1
	WEND

	B = (A + SCALED1024) AND 255
	B = INT(B / SCALED4096)
	E = 1
	WHILE B
		E = E + E
		B = B - 1
	WEND

	PRINT " DC.W $"; HEX$(C OR D OR E)
	A = A + (SCALED256 * 2)
WEND
SYSTEM

